﻿$ErrorActionPreference = 'Stop';
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'ReflectorTeacher301.msi'

#Based on Msi
$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  softwareName  = 'Reflector Teacher*'
  file          = $fileLocation
  fileType      = 'msi'
  silentArgs    = "ALLUSERS=1 KEY=LXQ6H3-GQZ45W-XWKR6F-7ZD46T-HZ8ZJQ-GP7DQE /qn /norestart /l*v `"$env:TEMP\$env:ChocolateyPackageName.$env:ChocolateyPackageVersion.log`""
  validExitCodes= @(0,1641,3010)
  url           = ""
  checksum      = '855D11E18958554587E03D9082BD314D010AEAA93D4C80D5530A41DB3D141F10'
  checksumType  = 'sha256'
  url64bit      = ""
  checksum64    = ''
  checksumType64= 'sha256'
  destination   = $toolsDir
  #installDir   = "" # passed when you want to override install directory - requires licensed editions 1.9.0+
}

Install-ChocolateyInstallPackage @packageArgs

<#
== MSI Properties ==
These are the PROPERTIES of the MSI, some of which you can add or change to the silent args or add as package parameters
Note: This only captures what ends up in the MSI Property/AppSearch tables and is not guaranteed to cover all properties.


ALLUSERS=1
ARPNOMODIFY=1
WIXUI_INSTALLDIR=INSTALLDIR
ARPPRODUCTICON=Reflector.ico
NETFRAMEWORK45=**Property found in SecureCustomProperties**
PREVIOUSVERSIONINSTALLED=**Property found in SecureCustomProperties**
SELFFOUND=**Property found in SecureCustomProperties**
NETFRAMEWORK45=**Value is determined by MSI function**
#>

